Bug 920792 - KDE 5 Plasma icons are missing after upgrade
KDE 5 Plasma icons are missing after upgrade
Status: RESOLVED FIXED
: 957020 1027265 (view as bug list)
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: KDE Workspace (Plasma)
Leap 42.1
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: E-Mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-05 08:37 UTC by Ákos Szőts
Modified: 2019-01-07 08:36 UTC (History)
10 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Missing icons everywhere (710.51 KB, image/png)
2015-03-05 08:37 UTC, Ákos Szőts
Details
Most icons are fixed, some still need a bit love (892.84 KB, image/png)
2015-03-05 22:43 UTC, Ákos Szőts
Details
strace of opening systemsettings5 with qt5ct being set to Breeze (2.75 MB, text/plain)
2015-04-18 18:18 UTC, Ákos Szőts
Details
strace of opening systemsettings5 with qt5ct missing (1.81 MB, text/plain)
2015-04-18 18:19 UTC, Ákos Szőts
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ákos Szőts 2015-03-05 08:37:56 UTC
Created attachment 625485 [details]
Missing icons everywhere

After an upgrade all the breeze icons are missing and replaced by either blank space or a black square.

I attach a screenshot which shows that in the K menu you can see just blank icons while in KWrite and in SystemSettings no icons at all. Interestingly, KDE 4 applications are not affected, they can show the default breeze icons.

The following breeze packages are installed:

S | Name               | Summary                                   | Type   
--+--------------------+-------------------------------------------+--------
i | breeze             | Plasma Desktop artwork, styles and assets | package
i | breeze4-style      | Plasma Desktop artwork, styles and assets | package
i | breeze5-decoration | Plasma Desktop artwork, styles and assets | package
i | breeze5-style      | Plasma Desktop artwork, styles and assets | package
i | breeze5-cursors    | Plasma Desktop artwork, styles and assets | package
i | breeze5-icons      | Plasma Desktop artwork, styles and assets | package
i | breeze5-style-lang | Languages for package breeze              | package
i | breeze5-wallpapers | Plasma Desktop artwork, styles and assets | package


I'm using the following KDE 5 repositories:
- http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_13.2/   
- http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_13.2/
Comment 1 Wolfgang Bauer 2015-03-05 14:24:52 UTC
Works fine here on my 13.2 system.

I noticed two things on your screenshot though:
- you are using the Oxygen window decoration which is not available for the current Plasma 5.2.1 yet
- the Qt5 platform plugin is not used/working, this causes no icons being shown, and the applications using Qt5's builtin "Fusion" style instead of "Breeze"

I would guess that you somehow miss some packages, or have an incompatible mix of packages installed (maybe some older libQt5 or libKF5 packages from the standard 13.2 repo).

So please try these things:
- check that plasma5-session and kwin5 are installed (and both come from KDE:Frameworks5)
- do a "full repository vendor change update" to both of those repos (KDE:Qt5 and KDE:Frameworks5) to make sure all packages are really coming from those repos, as described here:
https://en.opensuse.org/SDB:Vendor_change_update#Full_repository_Vendor_change

It should work then.

If you get conflicts that you are not sure how to solve, please ask.
Comment 2 Ákos Szőts 2015-03-05 22:43:50 UTC
Created attachment 625610 [details]
Most icons are fixed, some still need a bit love

Thank you for the quick answer!

I did the vendor change and also manually checked the versions of all the packages to be from the right repo. Basically, there were no changes (except for a small deprecated QNetworkmanager5 -> 6 change).

Later I found the qt5ct program (from package libqt5-qtct) with which I could configure that all the Qt 5 programs should use the Breeze theme (instead of the previously selected Fusion) and the Breeze icon theme (while nothing was selected before). Now it is really much better now. I see icons and Breeze theme almost everywhere.

The only little exceptions are the K Menu's Applications tab and some System settings (sub)module's icons.

Could you please tell me where can I find these Qt platform libraries to make sure that I have them installed correctly? I tried to search them but with little luck.

About the Oxygen window decoration: for me the blue window borders are too harsh, that's why I'm changing back to KDE 4's KWin simply by executing "kwin_gles --replace" after the login. Apparently, KWin5 and KWin4 are co-installable.
Comment 3 Wolfgang Bauer 2015-03-06 08:43:12 UTC
(In reply to Ákos Szőts from comment #2)
> I did the vendor change and also manually checked the versions of all the
> packages to be from the right repo. Basically, there were no changes (except
> for a small deprecated QNetworkmanager5 -> 6 change).

That doesn't sound relevant.

> Later I found the qt5ct program (from package libqt5-qtct) with which I
> could configure that all the Qt 5 programs should use the Breeze theme
> (instead of the previously selected Fusion) and the Breeze icon theme (while
> nothing was selected before). Now it is really much better now. I see icons
> and Breeze theme almost everywhere.

Ok, so you changed Qt5's settings to use Breeze instead of Fusion. Shouldn't be necessary, and will not help with other Plasma5 settings I suppose.

> Could you please tell me where can I find these Qt platform libraries to
> make sure that I have them installed correctly? I tried to search them but
> with little luck.

Sorry I forgot to mention this: it is libKF5Style5, and it has to be compiled against the exact Qt5 version you are using. I.e. if you installed libKF5Style5 from KDE:Frameworks5, you need Qt5 from KDE:Qt5.

Btw, Qt5 detects the KDE session via the environment variable $XDG_CURRENT_DESKTOP. Is this set? And to what? (should be "KDE")
echo $XDG_CURRENT_DESKTOP

> About the Oxygen window decoration: for me the blue window borders are too
> harsh, that's why I'm changing back to KDE 4's KWin simply by executing
> "kwin_gles --replace" after the login. Apparently, KWin5 and KWin4 are
> co-installable.

Yes they are. But you should be able to configure the window borders to your likings in systemsettings5->Colors too.

Oh, and the window borders shouldn't be blue at all with the openSUSE color scheme, not to mention that the Breeze window decoration doesn't even have any (colored) window borders... ;) (as mentioned, Oxygen is not available for kwin5 at the moment)

A side-note: here is a forum thread about apparently the same problem:
https://forums.opensuse.org/showthread.php/505494-opensuse-13-2-kde5-quot-no-icons-in-Application-launcher-and-sistem-settings-quot?p=2696395#post2696395
Unfortunately we didn't find the cause, it just started working suddenly...
Comment 4 Ákos Szőts 2015-03-06 23:09:50 UTC
(In reply to Wolfgang Bauer from comment #3)
> Ok, so you changed Qt5's settings to use Breeze instead of Fusion. Shouldn't
> be necessary, and will not help with other Plasma5 settings I suppose.

For some areas did, but as can be seen in the previous screenshot, many icons are still black or missing. So yes, only half success. Besides, I want to know what causes this :).

> Sorry I forgot to mention this: it is libKF5Style5, and it has to be
> compiled against the exact Qt5 version you are using. I.e. if you installed
> libKF5Style5 from KDE:Frameworks5, you need Qt5 from KDE:Qt5.

Thank you, I checked this one also. It is the from the KDE:Frameworks5 and I use KDE:Qt5 along with it.

> Btw, Qt5 detects the KDE session via the environment variable
> $XDG_CURRENT_DESKTOP. Is this set? And to what? (should be "KDE")
> echo $XDG_CURRENT_DESKTOP

It is KDE.

> A side-note: here is a forum thread about apparently the same problem:
> https://forums.opensuse.org/showthread.php/505494-opensuse-13-2-kde5-quot-no-
> icons-in-Application-launcher-and-sistem-settings-quot?p=2696395#post2696395
> Unfortunately we didn't find the cause, it just started working suddenly...

Thank you, I'll check that one also and try some strace'ing. On the weekend I won't be near but on Monday I try to debug this further.
Comment 5 Hrvoje Senjan 2015-03-08 01:43:51 UTC
just for accuracy sake, the relevant package that depends on specific Qt version, and that provides the KDE platformtheme, etc is frameworkintegration-plugin.

so most likely with your next zypper dup you got the correct package updated...
Comment 6 Ákos Szőts 2015-04-18 18:15:12 UTC
I'm sorry for the very late answer.

I did some strace'ing and found the following:

1.) With qt5ct being set to Breeze (
        ~/.config/qt5ct/qt5ct.conf:
        [Appearance]
        custom_palette=false
        icon_theme=breeze
        style=Breeze
  ):

The System Settings application first looks at this file and loads the style defined inside (currently, Breeze). The Breeze icon theme (/usr/share/icons/breeze/index.theme) contains a line which explicitly states that it inherits from the hicolor icon theme (Inherits=hicolor) i.e. if an icon cannot be found among the Breeze ones, the application should look at among the hicolor ones next.

In my „Most icons are fixed” screenshot the selected element's icon is „preferences-desktop-keyboard-shortcut.svg” according to the SystemSettings. It cannot be found neither in Breeze, nor in hicolor. Interestingly, it is contained only in „gnome” and „Adwaita”, Oxygent doesn't contain it either. Although gnome and Adwaita contain with name „preferences-desktop-keyboard-shortcut_s_” and not with „shortcut”.

2.) When directory ~/.config/qt5ct is not present then all the icons are missing. This is because ksystemsettings doesn't even try to load a single .svg file.

I'll attach the two strace files I worked from.
Comment 7 Ákos Szőts 2015-04-18 18:18:13 UTC
Created attachment 631523 [details]
strace of opening systemsettings5 with qt5ct being set to Breeze
Comment 8 Ákos Szőts 2015-04-18 18:19:32 UTC
Created attachment 631524 [details]
strace of opening systemsettings5 with qt5ct missing
Comment 9 Hrvoje Senjan 2015-04-20 19:41:49 UTC
Is there any reason you have qt5ct installed? By just being installed, it will override any KDE setting. This is something to fix there, but you shouldn't need it for Plasma enviroment.
Comment 10 Ákos Szőts 2015-05-01 11:58:50 UTC
Hmm, that's interesting. Just by uninstalling qt5ct and restarting the DE, every icon is back as it should be. Thank you very much for the tip!

The strange is that I installed qt5ct because of this very bug. So now for me it looks like something regarding this issue got magically fixed in the background  which, unfortunately, qt5ct prevented to come into effect.
Comment 11 Wolfgang Bauer 2015-11-28 12:29:34 UTC
*** Bug 957020 has been marked as a duplicate of this bug. ***
Comment 12 Simon Lees 2015-11-30 08:39:43 UTC
This is effecting my Leap and Tumbleweed installs, In the tumbleweed install I picked the "Enlightenment" option in the installer rather then KDE, this VM does have dolphin installed but no Breeze packages, https://www.enlightenment.org/ss/display.php?image=e-565bff36425ee7.27788174.jpg shows the dependencies that were pulled in by installing the breeze package, again installing the breeze package did not fix the issue, i'm happy to go through packages one by one to track it down but that relies on someone giving me suggestions of what i should try next. 

According to yast qt5ct isn't even in tumbleweed and I don't have it installed on my Leap system, I'm running enlightenment as the DE but I often use kate and Dolphin, I also found this bug effects color schemes kde 4 apps correctly show with the dark breeze color theme but kde5 apps don't.
Comment 13 Simon Lees 2015-11-30 09:21:25 UTC
From my "strace dolphin"

stat("/usr/bin/iconengines/.", 0x7fffb4aa4a70) = -1 ENOENT (No such file or directory)
stat("/home/simon/.icons", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat("/usr/share/enlightenment/icons", 0x7fffb4aa4a60) = -1 ENOENT (No such file or directory)
stat("/usr/share/icons", {st_mode=S_IFDIR|0755, st_size=784, ...}) = 0
stat("/usr/local/share/icons", {st_mode=S_IFDIR|0755, st_size=14, ...}) = 0
stat("/usr/share/icons", {st_mode=S_IFDIR|0755, st_size=784, ...}) = 0
stat("/usr/share/pixmaps", {st_mode=S_IFDIR|0755, st_size=2264, ...}) = 0
stat("/home/simon/.icons/hicolor", 0x7fffb4aa4bf0) = -1 ENOENT (No such file or directory)
lstat("/home/simon/.icons/hicolor/index.theme", 0x7fffb4aa4ba0) = -1 ENOENT (No such file or directory)
stat("/usr/share/icons/hicolor", {st_mode=S_IFDIR|0755, st_size=256, ...}) = 0
lstat("/usr/share/icons/hicolor/index.theme", {st_mode=S_IFREG|0644, st_size=27190, ...}) =

The fact its looking for /usr/share/enlightenment/icons seems kinda wrong but probably won't harm anything not sure about /usr/bin/iconengines/ not existing though but thats just after the contents of /usr/lib64/qt5/plugins/iconengines/ is loaded. Either way its directly looking for hicolor rather then another icon theme first
Comment 14 Wolfgang Bauer 2015-11-30 10:19:41 UTC
(In reply to Simon Lees from comment #12)
> According to yast qt5ct isn't even in tumbleweed and I don't have it
> installed on my Leap system

FYI, the package is called libqt5-qtct.

> I'm running enlightenment as the DE but I often
> use kate and Dolphin, I also found this bug effects color schemes kde 4 apps
> correctly show with the dark breeze color theme but kde5 apps don't.

Well, KDE4/Qt4 applications obviously do not use Qt5's platform plugins, while KF5 apps do as they are based on Qt5...
Comment 15 Simon Lees 2015-11-30 10:27:16 UTC
(In reply to Wolfgang Bauer from comment #14)
> (In reply to Simon Lees from comment #12)
> > According to yast qt5ct isn't even in tumbleweed and I don't have it
> > installed on my Leap system
> 
> FYI, the package is called libqt5-qtct.
Ok, just double checked and its not installed

> 
> > I'm running enlightenment as the DE but I often
> > use kate and Dolphin, I also found this bug effects color schemes kde 4 apps
> > correctly show with the dark breeze color theme but kde5 apps don't.
> 
> Well, KDE4/Qt4 applications obviously do not use Qt5's platform plugins,
> while KF5 apps do as they are based on Qt5...

Yep that much I presumed, but as there also seems to be a breeze plugin for Qt4 I figured there was a chance it could effect both if it was broken enough, hence the comment
Comment 16 Simon Lees 2015-12-24 01:54:20 UTC
A Resonable work around is to export either of the following QT_QPA_PLATFORMTHEME=kde  QT_QPA_PLATFORMTHEME=gtk2
Comment 17 Bernhard Wiedemann 2016-03-09 20:00:16 UTC
This is an autogenerated message for OBS integration:
This bug (920792) was mentioned in
https://build.opensuse.org/request/show/369369 42.1 / enlightenment
Comment 18 Bernhard Wiedemann 2016-03-11 12:00:11 UTC
This is an autogenerated message for OBS integration:
This bug (920792) was mentioned in
https://build.opensuse.org/request/show/370020 42.1 / enlightenment
Comment 19 Bernhard Wiedemann 2016-03-15 13:00:11 UTC
This is an autogenerated message for OBS integration:
This bug (920792) was mentioned in
https://build.opensuse.org/request/show/373215 42.1 / enlightenment
Comment 20 Swamp Workflow Management 2016-03-28 16:09:54 UTC
openSUSE-RU-2016:0900-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 920792
CVE References: 
Sources used:
openSUSE Leap 42.1 (src):    enlightenment-0.19.12-3.1
Comment 21 Simon Lees 2016-10-13 03:33:16 UTC
This issue is back with Qt 5.7 (tumbleweed) due to the gtk2 style being moved out of the main git repo. 

export QT_QPA_PLATFORMTHEME=gtk3  brings the icons back but uses the fusion style rather then a gtk based one. Until a gtk3 style exists we probably need to package https://code.qt.io/cgit/qt/qtstyleplugins.git/ I'm happy to help with that if needed
Comment 22 Simon Lees 2016-10-13 05:28:10 UTC
https://build.opensuse.org/request/show/434004 and boo#1002900

I don't see any reason to keep this open.
Comment 23 Wolfgang Bauer 2016-10-13 08:25:43 UTC
(In reply to Simon Lees from comment #22)
> I don't see any reason to keep this open.

But this is a completely different problem, totally unrelated to any GTK style.

Short summary:
Installation of libqt5-qtct creates a script in /etc/profile.d/ with "export QT_QPA_PLATFORMTHEME=qtct".

This forces the qtct platform plugin to be used, even if you login to Plasma5.
Because of that, KDE's settings are not respected, icons may be missing (because they are not in the used fallback icon theme), and maybe other problems.
Comment 24 Felix Miata 2017-02-09 05:44:13 UTC
Changing this from 13.2 to 42.1, since a 42.1 bug was duped to this.

On fresh TW installation my systemsettings and menu icons disappeared, maybe by coincidence, after switching from Breeze to Oxygen in various places in desktop settings.
https://lists.opensuse.org/opensuse-kde/2017-02/msg00020.html
# rpm -qa | grep oxygen
oxygen5-icon-theme-5.30.0-1.1.noarch
oxygen5-sounds-5.9.0-1.1.x86_64
oxygen5-style-5.9.0-1.1.x86_64
plasma-theme-oxygen-16.12.1-2.1.x86_64
Out of habit because of too small YaST text I also had qt5ct-0.29.1.1 installed. Removing it only restored most icons, not all. I need qt5ct back because all the descriptive text in YaST2 is too tiny. Installing qt5ct shouldn't destroy the desktop this way.
Comment 25 Wolfgang Bauer 2017-02-28 16:44:59 UTC
*** Bug 1027265 has been marked as a duplicate of this bug. ***
Comment 26 Ludwig Nussel 2017-04-30 08:52:41 UTC
I just had a similar situation within 42.2. Suddenly dolphin, digikam etc had no icons anymore when run in WindowMaker. I thought this worked initially, so probably broke with some update. Not sure whether to recycle this bug but since it's still open...
We need a proper solution that works out of the box for this. It's quite non obvious having to install qt5ct and run it once to make KDE applications look proper. So far qt5ct even interfered with a KDE session which made it even less acceptable (sr#492216).
Comment 27 Simon Lees 2017-04-30 10:51:01 UTC
(In reply to Ludwig Nussel from comment #26)
> I just had a similar situation within 42.2. Suddenly dolphin, digikam etc
> had no icons anymore when run in WindowMaker. I thought this worked
> initially, so probably broke with some update. Not sure whether to recycle
> this bug but since it's still open...
> We need a proper solution that works out of the box for this. It's quite non
> obvious having to install qt5ct and run it once to make KDE applications
> look proper. So far qt5ct even interfered with a KDE session which made it
> even less acceptable (sr#492216).

Installing qt5ct is not required to fix the issue, you just need to set a couple of environment variables so Qt falls back to something sensible if it doesn't detect the desktop. For example enlightenment exports the following.

QT_QPA_PLATFORMTHEME=gtk2
QT_STYLE_OVERRIDE=gtk2

This meant that when running A Qt / KDE application under enlightenment it would use the gtk based theming (enlightenment has a dialog to set the gtk theme) while if I run under KDE it will use the kde theme. It would be nice if Qt handled its fallback better so that it went to something like Fusion with a icon theme if it didn't detect the desktop rather then picking nothing.

It seems like what I was doing above is broken with the latest Qt in tumbleweed, I guess maybe the gtk fall back stuff has changed or something. Unfortunatlly I just moved house and don't have a proper internet connection and can't debug much further until I do.
Comment 28 Tomáš Chvátal 2018-04-13 14:57:06 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.1 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE, or you can still observe it under openSUSE Leap 15.0, please
feel free to reopen this bug against that version (see the "Version"
component in the bug fields), or alternatively open
a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 29 Wolfgang Bauer 2018-12-12 11:35:40 UTC
(In reply to Ludwig Nussel from comment #26)
> I just had a similar situation within 42.2. Suddenly dolphin, digikam etc
> had no icons anymore when run in WindowMaker.

The missing icons should be more or less "fixed" with Qt 5.12 (released a couple of days ago), as current kiconthemes versions set "breeze" as fallback theme then (this is only possible since Qt 5.12):
https://cgit.kde.org/kiconthemes.git/commit/?id=421404563e87a50d0af22eb8ca09866fd89a36cc

At least this should affect applications linking against kiconthemes (which includes all applications that use kxmlgui, i.e. most "real" KDE applications).

I just ran a couple of KDE applications (kdevelop5, dolphin, systemsettings5) in IceWM, and icons that were missing before are shown now (taken from the "breeze" icon theme).

We probably should add a "Recommends: breeze-icons" to libKF5IconThemes5 though, as suggested here:
https://mail.kde.org/pipermail/kde-frameworks-devel/2018-August/069732.html
Comment 30 Wolfgang Bauer 2019-01-06 03:13:13 UTC
I actually consider this fixed now, with Qt 5.12 at least, i.e current Tumbleweed.

- the original problem was already fixed by changing qt5ct to not force its platform plugin in Plasma
- with Qt 5.12, KDE applications now use breeze as fallback theme as mentioned (this would also have helped in the original case... ;-) )

Backporting the latter part to previous openSUSE releases is out of scope I think though.

If somebody disagrees, feel free to reopen (but it was closed as WONTFIX anyway...).
Comment 31 Wolfgang Bauer 2019-01-06 03:16:47 UTC
Forgot to mention:
(In reply to Wolfgang Bauer from comment #29)
> We probably should add a "Recommends: breeze-icons" to libKF5IconThemes5
> though, as suggested here:
> https://mail.kde.org/pipermail/kde-frameworks-devel/2018-August/069732.html

This is done now as well:
https://build.opensuse.org/request/show/663076
Comment 32 Simon Lees 2019-01-07 01:16:13 UTC
(In reply to Wolfgang Bauer from comment #30)
> I actually consider this fixed now, with Qt 5.12 at least, i.e current
> Tumbleweed.
> 
> - the original problem was already fixed by changing qt5ct to not force its
> platform plugin in Plasma
> - with Qt 5.12, KDE applications now use breeze as fallback theme as
> mentioned (this would also have helped in the original case... ;-) )
> 
> Backporting the latter part to previous openSUSE releases is out of scope I
> think though.
> 
> If somebody disagrees, feel free to reopen (but it was closed as WONTFIX
> anyway...).

Part of the issue here was that the fallback theme Qt would use if it couldn't detect what it should run ie when it didn't recognize the desktop didn't load any icons do you know if that was also fixed?
Comment 33 Fabian Vogt 2019-01-07 07:54:52 UTC
(In reply to Simon Lees from comment #32)
> (In reply to Wolfgang Bauer from comment #30)
> > I actually consider this fixed now, with Qt 5.12 at least, i.e current
> > Tumbleweed.
> > 
> > - the original problem was already fixed by changing qt5ct to not force its
> > platform plugin in Plasma
> > - with Qt 5.12, KDE applications now use breeze as fallback theme as
> > mentioned (this would also have helped in the original case... ;-) )
> > 
> > Backporting the latter part to previous openSUSE releases is out of scope I
> > think though.
> > 
> > If somebody disagrees, feel free to reopen (but it was closed as WONTFIX
> > anyway...).
> 
> Part of the issue here was that the fallback theme Qt would use if it
> couldn't detect what it should run ie when it didn't recognize the desktop
> didn't load any icons do you know if that was also fixed?

Kinda. The KIconThemes framework sets the fallback theme to breeze in the static initialization, so anything that links against kiconthemes (directly or indirectly) uses breeze at least as fallback now.

(Unfortunately that caused a regression which I'm not sure how to fix, so this might end up being reverted again: https://bugs.kde.org/show_bug.cgi?id=402172)
Comment 34 Simon Lees 2019-01-07 08:36:51 UTC
(In reply to Fabian Vogt from comment #33)
> (In reply to Simon Lees from comment #32)
> > (In reply to Wolfgang Bauer from comment #30)
> > > I actually consider this fixed now, with Qt 5.12 at least, i.e current
> > > Tumbleweed.
> > > 
> > > - the original problem was already fixed by changing qt5ct to not force its
> > > platform plugin in Plasma
> > > - with Qt 5.12, KDE applications now use breeze as fallback theme as
> > > mentioned (this would also have helped in the original case... ;-) )
> > > 
> > > Backporting the latter part to previous openSUSE releases is out of scope I
> > > think though.
> > > 
> > > If somebody disagrees, feel free to reopen (but it was closed as WONTFIX
> > > anyway...).
> > 
> > Part of the issue here was that the fallback theme Qt would use if it
> > couldn't detect what it should run ie when it didn't recognize the desktop
> > didn't load any icons do you know if that was also fixed?
> 
> Kinda. The KIconThemes framework sets the fallback theme to breeze in the
> static initialization, so anything that links against kiconthemes (directly
> or indirectly) uses breeze at least as fallback now.
> 
> (Unfortunately that caused a regression which I'm not sure how to fix, so
> this might end up being reverted again:
> https://bugs.kde.org/show_bug.cgi?id=402172)

That seems to be of limited use anyway, many of the Qt based apps that people tend to favor on non KDE desktops like pcmanfm-qt don't link against anything in the KDE stack.